ServerEvents.recipes(event => {
  const greg = event.recipes.gtceu;
  event.remove({ output: 'projectexpansion:final_star_shard' })
  event.remove({ output: 'projectexpansion:final_star' })
  event.remove({ output: 'projecte:watch_of_flowing_time' })
  event.remove({ output: 'projecte:dm_pedestal' })
// final star
  greg
    .omnic_forge("projectexpansion:final_star_shard")
    .itemInputs("4x kubejs:monic_processor_mainframe")
    .itemInputs("kubejs:field_stabilised_omnic_pulsar_compound")
    .itemInputs("4x kubejs:causality_exempt_monic_heavy_plating")
    .itemInputs("2x kubejs:omnic_data")
    .itemInputs("kubejs:dimensionally_stabilized_infinity_heavy_plating")
    .itemInputs("8x kubejs:universe_resistant_neutronium_heavy_plating")
    .itemOutputs("projectexpansion:final_star_shard")
    .duration(900)
    .EUt(1966080);
	
  greg
    .omnic_forge("projecte:watch_of_flowing_time")
    .itemInputs("gtceu:uv_world_accelerator")
    .itemInputs("projectexpansion:final_star")
    .itemInputs("4x gtceu:monium_block")
    .itemInputs("minecraft:clock")
    .itemInputs("8x gtceu:uiv_field_generator")
    .itemInputs("minecraft:clock")
    .itemOutputs("projecte:watch_of_flowing_time")
    .duration(6000)
    .EUt(134217728);
	
  greg
    .assembler("projecte:dm_pedestal")
    .itemInputs("32x projecte:dark_matter_block")
    .itemInputs("8x projecte:red_matter")
    .itemOutputs("projecte:dm_pedestal")
    .duration(600)
    .EUt(525000);
	
	
  greg
    .omnic_forge("projectexpansion:final_star")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("projectexpansion:final_star_shard")
    .itemOutputs("projectexpansion:final_star")
    .duration(72000)
    .EUt(134217728);
	
  greg
    .omnic_forge("projecte:tome")
    .itemInputs("minecraft:axolotl_bucket")
    .itemInputs("gtceu:creative_chest")
    .itemInputs("minecraft:axolotl_bucket")
    .itemInputs("projectexpansion:final_star")
    .itemInputs("projectexpansion:arcane_alchemical_book")
    .itemInputs("projectexpansion:final_star")
    .itemOutputs("projecte:tome")
    .duration(720000)
    .EUt(134217728);
	
})
